# Tool Bar But


Modern user interfaces need icons, for example on toolbar buttons, but available icon sets tend to be fancy, which means large file sizes, which makes them cumbersome to embed in source code, doubly so without special tools. I make apps in Tcl/Tk; I want my icons to be a couple lines of base64-encoded data. Minimal icon sets exist, but they tend to be

1. black and white (or rather, light gray and white)
2. too fanciful for a boring old app with File / Edit / View menus.

Tool Bar But is a hastily named set of icons intended for toolbars in desktop applications, with a couple of unique traits:

1. they use only four colors (3 + transparency), but they have color!
2. they're in GIF format, because it compresses better at 2 bits per pixel.

Otherwise they follow the FreeDesktop.org icon naming conventions and sizes, with a few additions because standard names are insufficient.

This project is still very new. A lot may change. Current plans include:

1. more icons (obviously);
2. XPM files for embedding in C or C++ code;
3. possibly a 16x16 version.

For now all icons are offered under a Creative Commons-Attribution 4.0 license.
